# omnia\_checkAddress

**Returns security details about on-chain behaviour of a given address.**

**Parameters**

`DATA`, 20 Bytes - address. The wallet address that is checked. <mark style="color:red;">REQUIRED</mark>

**Returns**

`Object with following details:`

| Parameter                               | Description                                                                                                                    | Notice                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| --------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `data_source`                           | It describes the data source for this address information. For example, GoPlus/SlowMist                                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| `honeypot_related_address`              | It describes whether this address is related to honeypot tokens or has created scam tokens. "1" means true; "0" means false.   | Addresses related to honeypot mean the creators or owners of the honeypot tokens. This is a dangerous address if the address is related to honeypot tokens.                                                                                                                                                                                                                                                                                                                                                                                             |
| `phishing_activities`                   | It describes whether this address has implemented phishing activities. "1" means true; "0" means false.                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| `blackmail_activities`                  | It describes whether this address has implemented blackmail activities. "1" means true; "0" means false.                       |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| `stealing_attack`                       | It describes whether this address has implemented stealing attacks. "1" means true; "0" means false.                           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| `fake_kyc`                              | It describes whether this address is involved in fake KYC. "1" means true; "0" means false.                                    |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| `malicious_mining_activities`           | It describes whether this address is involved in malicious mining activities. "1" means true; "0" means false.                 |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| `darkweb_transactions`                  | It describes whether this address is involved in dark web transactions. "1" means true; "0" means false.                       |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| `cybercrime`                            | It describes whether this address is involved in cybercrime. "1" means true; "0" means false.                                  |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| `money_laundering`                      | It describes whether this address is involved in money laundering. "1" means true; "0" means false.                            |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| `financial_crime`                       | It describes whether this address is involved in financial crime. "1" means true; "0" means false.                             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| `blacklist_doubt`                       | It describes whether this address is suspected of malicious behavior. "1" means true; "0" means false.                         |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| `contract_address`                      | It describes whether this address is a contract address. "1" means true; "0" means false.                                      | If only the address is sent to the API and not the chain id, the "contract\_address" will not be returned. This is because there are cases where the same address is a contract in one public chain but not in other public chains. Determining the contract address is achieved by calling a third-party blockchain browser interface. Since it takes time for the browser interface to return, the field may be empty on the first request. Solution: the second call around 5s can return whether the address is the value of the contract normally. |
| `mixer`                                 | It describes whether this address is coin mixer address. "1" means true; "0" means false.                                      | Interacting with coin mixer may result in your address being added to the risk list of third-party institutions.                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| `sanctioned`                            | It describes whether this address is sanctioned address. "1" means true; "0" means false.                                      |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| `number_of_malicious_contracts_created` | This parameter describes how many malicious contracts have been created by this address.                                       |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| `gas_abuse`                             | It describes whether this address is cheating other user's gas fee to mint other assets.                                       | Any interaction with such addresses may result in loss of property.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| `reinit`                                | It describes whether this address/contract has been deployed more than onces, and can be deployed again.                       | If a contract can be reinited, the developer can change the contract code whenever he wants.                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| `fake_standard_interface`               | It describes whether this contract contains standard interfaces that do not conform the requirements of the standard protocol. | Fake Standard Interface is mostly seen in scam assets.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |

## Example

#### Request

```
curl --request POST \
     --url https://endpoints.omniatech.io/v1/RPC_ENDPOINT \
     --header 'accept: application/json' \
     --header 'content-type: application/json' \
     --data '
{
    "id": 1,
    "jsonrpc": "2.0",
    "method": "omnia_checkaddress",
    "params": [
        {
            "address": "0x7744446f4fBE3e660AE9206FB8b0D46b8D097176"
        }
    ]
}
'
```

#### Response

```
{
    "id": 1,
    "jsonrpc": "2.0",
    "result": {
        "cybercrime": "0",
        "money_laundering": "0",
        "number_of_malicious_contracts_created": "0",
        "gas_abuse": "0",
        "financial_crime": "0",
        "darkweb_transactions": "0",
        "reinit": "0",
        "phishing_activities": "0",
        "contract_address": "0",
        "fake_kyc": "0",
        "blacklist_doubt": "0",
        "fake_standard_interface": "0",
        "data_source": "",
        "stealing_attack": "0",
        "blackmail_activities": "0",
        "sanctioned": "0",
        "malicious_mining_activities": "0",
        "mixer": "0",
        "honeypot_related_address": "0"
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.omniatech.io/rpc-api-docs/custom-rpc/omnia_checkaddress.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
